Skip to main content

Release 1.1.28

· 2 min read
SSI Team
Platform Engineering

Highlights

Agents

  • Added GET /agents/v1/{mpid}?dip_id={dip_id} to fetch a single agent by DIP ID, or ignore dip_id to retrieve all agents in DB.

MPAN and Meter Technical Details

  • MPAN payloads now include measurement_class_id.
  • Meter Technical Details endpoint GET /meter-technical-details/v1/{mpid} now accepts:
    • mpan_id (existing query param)
    • as_of (new optional query param for historical view, API will return current snapshot if this is not provided)
  • Meter Technical Details response now includes:
    • effective_from_settlement_date_msmtd
  • Meter registers returned under hh_mtd.meter_registers / nhh_mtd.meter_registers are now filtered to registers owned for that MPAN. This allows for MPAN - Register ownership, rather than MPAN - Meter ownership.

Change of Registration details

  • Change of Reg Details requests now support SSC/Profile Class updates via:
    • request_type: "SSCandProfileClass"
  • New request fields for this flow:
    • ssc
    • ssc_efd
    • pc
    • pc_efd
  • Response payloads for Change of Reg Details now include:
    • market_segment
    • market_segment_efd
    • ssc
    • ssc_efd
    • pc
    • pc_efd
  • Validation behavior for SSC/PC:
    • if ssc is provided, ssc_efd is required
    • if pc is provided, pc_efd is required
    • ssc_efd / pc_efd must be timezone-aware ISO 8601 timestamps
    • ssc_efd / pc_efd must not be future-dated
    • ssc must be 4 characters; pc max 2 characters

Process tracking

  • Process/request metadata now includes:
    • initiated_by
  • This appears in request retrieval responses so users can see who/what initiated the process.

Readings

  • In readings requests, cumulative_register_reading must be a string when provided.
  • Non-string values for cumulative_register_reading now return validation errors instead of being accepted.